### File

`packages/ecl/components/ecl-date-picker/ecl-date-picker-duet.directive.ts`

### Description

ECL DatePicker directive for Duet Date Picker Web Component.

Use this on a element to integrate it with Angular forms (ControlValueAccessor). This is the recommended approach.

Example: <duet-date-picker eclDatePicker ...>

Note: The legacy directive is deprecated and will be removed in the next major release.

### Implements

`ControlValueAccessor` `Validator`

### Metadata

Providers | `) )`
Selector | `duet-date-picker[eclDatePicker]`
Standalone | `true`

### Index

###### Methods
registerOnChange registerOnTouched setDisabledState validate writeValue
###### Inputs
dateAdapter eclSize isInvalid placeholder

### Constructor

`constructor()`

### Inputs

dateAdapter
Type : `EclDuetDateAdapter | null`
Default value : `null`

eclSize
Type : `"s" | "m" | "l"`
Default value : `'m'`

isInvalid
Default value : `false, { transform: booleanAttribute }`

placeholder
Type : `string`
Default value : `'DD-MM-YYYY'`

### Methods

registerOnChange
`registerOnChange(fn: (value: ModelValue) => void)`
Parameters :
Name | Type | Optional
fn | `function` | No
Returns : `void`

registerOnTouched
`registerOnTouched(fn: () => void)`
Parameters :
Name | Type | Optional
fn | `function` | No
Returns : `void`

setDisabledState
`setDisabledState(isDisabled: boolean)`
Parameters :
Name | Type | Optional
isDisabled | `boolean` | No
Returns : `void`

validate
`validate(control: AbstractControl)`
Parameters :
Name | Type | Optional
control | `AbstractControl` | No
Returns : `ValidationErrors | null`

writeValue
`writeValue(value: ModelValue)`
Parameters :
Name | Type | Optional
value | `ModelValue` | No
Returns : `void`

# results matching ""

# No results matching ""